"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const micromatch_1 = require("micromatch");
const defaultQueries = {
    "good first issue": 'label:"good first issue"',
};
function getSavedQueries(config, repo) {
    const { owner, name } = repo;
    const queries = Object.entries(config.queries || {})
        .filter(([repo]) => micromatch_1.isMatch(`${owner}/${name}`, repo))
        .concat([["*/*", defaultQueries]])
        .reduce((acc, [_, queries]) => acc.concat(Object.entries(queries).map(([name, query]) => ({ name, query }))), []);
    return queries;
}
exports.getSavedQueries = getSavedQueries;
