"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const log_update_1 = __importDefault(require("log-update"));
const elegant_spinner_1 = __importDefault(require("elegant-spinner"));
const node_emoji_1 = require("node-emoji");
const FPS = 20;
async function showSpinnerWhileProcessing(initialMessage, fn) {
    const frame = elegant_spinner_1.default();
    const tid = setInterval(() => {
        log_update_1.default(`${frame()} ${initialMessage}`);
    }, 1000 / FPS);
    return fn()
        .then(ret => {
        log_update_1.default(node_emoji_1.emojify(`:heavy_check_mark: ${initialMessage}`));
        return ret;
    })
        .finally(() => {
        log_update_1.default.done();
        clearTimeout(tid);
    });
}
exports.showSpinnerWhileProcessing = showSpinnerWhileProcessing;
